Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class DuplicateRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.GroupRequest
              org.eclipse.gmf.runtime.diagram.ui.requests.DuplicateRequest

public final class DuplicateRequest
extends GroupRequest

The request used to duplicate a list of editparts. A list that will hold the new duplicated views after the command is executed can be retrieved via `getDuplicatedViews()`.

Constructor Summary
`DuplicateRequest()` Creates a new `DuplicateElementsRequest`.

Method Summary
`java.util.List` `getDuplicatedViews()` Gets the list that will hold the new duplicated views after the command is executed.
`Point` `getOffset()` Gets the offset from the location of the original views where the new views will be placed.
`void` `setOffset(Point offset)` Sets the offset from the location of the original views where the new views will be placed.

Methods inherited from class org.eclipse.gef.requests.GroupRequest
`getEditParts, setEditParts, setEditParts`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DuplicateRequest

    public DuplicateRequest()

  Creates a new `DuplicateElementsRequest`.

Method Detail

### getDuplicatedViews

    public final java.util.List getDuplicatedViews()

  Gets the list that will hold the new duplicated views after the command is executed.

  Returns:
    Returns the duplicatedViews.

### getOffset

    public final Point getOffset()

  Gets the offset from the location of the original views where the new views will be placed.

  Returns:
    the offset

### setOffset

    public final void setOffset(Point offset)

  Sets the offset from the location of the original views where the new views will be placed.

  Parameters:
    `offset` - The offset to set.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.